## eiciel 0.9.7

=== debian/changelog ===
eiciel (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-gio.patch
    - Removed, merged upstream.
  * debian/patches/03-no-libgnomeui.patch
    - Removed, merged upstream.
  * debian/patches/01-fix-gettext-translations.patch
    - Fix gettext translations by using dgettext and specifying the correct
      domainname.
  * debian/patches/02-de-po.patch
    - Update and complete German translation.
  * debian/rules
    - Remove de.gmo on clean and rebuild it on build.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Jun 2010 02:38:02 +0200

eiciel (0.9.6.1-4) unstable; urgency=low

  * debian/control
    - Build-Depend on autopoint instead of cvs. Closes: #572466
    - Bump Standards-Version to 3.8.4. No further changes.
    - Drop Build-Depends on libgnomevfs2-dev.
    - Drop Build-Depends on libgnomeui-dev.
    - Add Build-Depends on dh-autoreconf.
  * Switch to source fromat 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * debian/patches/01-makefile_am.patch
    - Drop this patch. Specifying all libraries manually is too cumbersome and
      error prone. Removing this patch also fixes the build failures with
      binutils-gold. Closes: #554321
  * Use dh-autoreconf to update the build system instead of doing it manually.
  * debian/patches/03-no-libgnomeui.patch
    - Remove dependency on libgnomeui. For showing the application
      documentation, libgnome is sufficient.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 May 2010 03:30:13 +0200

eiciel (0.9.6.1-3) unstable; urgency=low

  * debian/control
    - Wrap Build-Depends.
    - Bump Standards-Version to 3.8.1. No further changes.
    - Bump Build-Depends on debhelper to (>= 7).
  * debian/compat
    - Bump debhelper compat level to 7.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Apr 2009 12:45:20 +0200

eiciel (0.9.6.1-2exp1) experimental; urgency=low

  * debian/control
    - Build against libnautilus-extension-dev from experimental.
    - Add Build-Depends on cvs. Apparently autopoint (part of gettext, called
      by autoreconf) needs it.
  * debian/rules
    - Run "autoreconf -vfi" instead of calling libtoolize et al. individually.
      Closes: #506563
  * debian/patches/02-gio.patch
    - Port eiciel to GIO to get rid of the GnomeVFS dependency.
      Thanks to Andreas Henriksson for the patch.
  * debian/patches/01-makefile_am.patch
    - Drop gnomevfs-2 from LDFLAGS.

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Dec 2008 12:39:08 +0100

eiciel (0.9.6.1-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.8.0, no further changes.
    - Add Vcs-* fields.
  * Switch patch system to quilt.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 Oct 2008 00:47:07 +0200

eiciel (0.9.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-gcc43_includes.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Apr 2008 11:03:32 +0200

eiciel (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * debian/rules
    - Don't hardcode the nautilus extension directory but let pkg-config
      figure out the correct path. Closes: #475231

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2008 20:15:57 +0200

eiciel (0.9.5.1-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Add ${misc:Depends}.
  * debian/patches/02-gcc43_includes.patch
    - Add missing includes to fix FTBFS with GCC 4.3.
  * debian/copyright
    - Add a valid copyright notice.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Mar 2008 20:49:56 +0100

eiciel (0.9.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/02-desktop_entry_categories.patch
    - Removed, merged upstream.
  * debian/patches/03-gnome_app.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Oct 2007 07:43:57 +0200

eiciel (0.9.4-4) unstable; urgency=low

  * debian/patches/03-gnome_app.patch
    + Make eiciel a proper GNOME app and use gnome_help_display() to show the
      application documentation. Closes: #443829
  * debian/patches/01-makefile_am.patch
    + Link against libgnomeui-2.
  * debian/control
    + Use the new "Homepage:" field to specify the upstream URL.
    + Add a Build-Depends on libgnomeui-dev. 

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Oct 2007 00:00:16 +0200

eiciel (0.9.4-3) unstable; urgency=low

  * debian/menu
    + Updated to new menu hierarchy.
      Change section to Applications/File Management.
  * debian/patches/02-desktop_entry_categories.patch
    + Fix the Categories of the eiciel desktop entry.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Aug 2007 16:55:28 +0200

eiciel (0.9.4-2) unstable; urgency=medium

  * debian/control
    + Add explicit Build-Depends on libgnome2-dev and libgnomevfs2-dev to fix
      a FTBFS bug. Closes: #422797

 -- Michael Biebl <biebl@debian.org>  Tue, 08 May 2007 15:00:34 +0200

eiciel (0.9.4-1) unstable; urgency=low

  * New upstream release.
    + Improves compatibility with file systems implemented using FUSE (like
      fusedav). Closes: #398100
  * debian/patches/eiciel_desktop.diff
    + Removed, fixed upstream.
  * debian/patches/gettext.diff
    + Removed, fixed upstream.
  * debian/control
    + Add "Enhances: nautilus" as we ship a nautilus extension.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Nov 2006 22:23:36 +0100

eiciel (0.9.2-3) unstable; urgency=low

  * Update maintainer email address to biebl@debian.org.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Oct 2006 19:54:16 +0200

eiciel (0.9.2-2) unstable; urgency=medium

  * Added patch gettext.diff which updates po/Makefile.in.in for
    autoconf-2.60. Closes: #386437

 -- Michael Biebl <biebl@teco.edu>  Thu,  7 Sep 2006 19:32:46 +0200

eiciel (0.9.2-1) unstable; urgency=low

  * New upstream release.


=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

DEB_DH_MAKESHLIBS_ARGS_eiciel := -Xlibeiciel-nautilus
DEB_INSTALL_DOCS_eiciel := -XNEWS

clean::
	rm -f po/de.gmo

build/eiciel::
	make -C po de.gmo

binary-install/eiciel::
	rm -f $(CURDIR)/debian/eiciel/usr/lib/nautilus/extensions-*/*.a
	rm -f $(CURDIR)/debian/eiciel/usr/lib/nautilus/extensions-*/*.la

## eiciel 0.10.0~rc2

=== meson_options.txt ===
option('user-attributes',
    type : 'feature',
    value : 'enabled',
    description : 'Enables support for editing extended user attributes')
option('nautilus-extension-dir',
    type: 'string',
    value : '',
    description: 'Override nautilus extension installation directory, otherwise it will be auto-detected')

## eiciel 0.9.8

=== debian/changelog ===
eiciel (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-fix-gettext-translations.patch
    - Removed, fixed upstream.
  * debian/patches/02-de-po.patch
    - Removed, merged upstream.
  * debian/gbp.conf
    - Use bzip2 compression so we no longer need to repack the upstream
      tarball.
  * debian/rules
    - An up-to-date German translation is available from the upstream tarball
      so remove the rules to rebuild it.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Jun 2010 15:45:43 +0200

=== debian/control ===
Source: eiciel
Section: gnome
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
 debhelper (>= 7),
 automake,
 autoconf,
 libtool,
 autopoint,
 libacl1-dev,
 libattr1-dev,
 libgtkmm-2.4-dev,
 libnautilus-extension-dev (>= 2.22),
 libgnome2-dev,
 pkg-config,
 dh-autoreconf
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/users/biebl/eiciel.git
Vcs-Browser: http://git.debian.org/?p=users/biebl/eiciel.git;a=summary
Homepage: http://rofi.pinchito.com/eiciel/

Package: eiciel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nautilus, yelp
Enhances: nautilus
Description: graphical editor for POSIX ACLs and extended user attributes
 A graphical tool to manipulate POSIX ACLs and extended user attributes for
 the GNOME environment. It integrates nicely into the Nautilus file manager
 but also features a standalone application.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,6 @@
 DEB_DH_MAKESHLIBS_ARGS_eiciel := -Xlibeiciel-nautilus
 DEB_INSTALL_DOCS_eiciel := -XNEWS
 
-clean::
-	rm -f po/de.gmo
-
-build/eiciel::
-	make -C po de.gmo
-
 binary-install/eiciel::
 	rm -f $(CURDIR)/debian/eiciel/usr/lib/nautilus/extensions-*/*.a
 	rm -f $(CURDIR)/debian/eiciel/usr/lib/nautilus/extensions-*/*.la

=== debian/watch ===
version=3
http://rofi.pinchito.com/eiciel/download/eiciel-([\.\d]*)\.tar\.bz2

## eiciel 0.9.8.1

=== debian/changelog ===
eiciel (0.9.8.1-3ubuntu0.14.04.1) trusty; urgency=medium

  * Add participant filtering in the main window. (LP: #1361217)

 -- Dariusz Gadomski <dariusz.gadomski@canonical.com>  Fri, 26 Sep 2014 09:17:05 +0200

eiciel (0.9.8.1-3build1) precise; urgency=low

  * Rebuild with libnautilus-extension1a. 

 -- James Page <james.page@ubuntu.com>  Fri, 09 Dec 2011 16:37:53 +0000

eiciel (0.9.8.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2011 21:23:29 +0200

eiciel (0.9.8.1-2) experimental; urgency=low

  * Build for GNOME 3
    - Drop Build-Depends on libgnome2-dev.
    - Bump Build-Depends on libnautilus-extension-dev to (>= 3.0.0).
    - Replace Build-Depends on libgtkmm-2.4-dev with libgtkmm-3.0-dev.
    - Update --with-gnome-version configure flag in debian/rules.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jul 2011 17:33:27 +0200

eiciel (0.9.8.1-1) unstable; urgency=low

  * New upstream release.
  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper for override targets.
    - Convert debian/rules to dh.
    - Add debian/eiciel.docs.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Bump debhelper compatibility level to 8 and update build dependency
    accordingly.
  * debian/rules: Build for GNOME 2.
  * debian/watch: Update download URL.

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Jul 2011 16:58:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: eiciel
 Section: gnome
 Priority: optional
-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs,
- debhelper (>= 7),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 8),
  automake,
  autoconf,
  libtool,
  autopoint,
  libacl1-dev,
  libattr1-dev,
- libgtkmm-2.4-dev,
- libnautilus-extension-dev (>= 2.22),
- libgnome2-dev,
+ libgtkmm-3.0-dev (>= 3.0.0),
+ libnautilus-extension-dev (>= 3.0.0),
  pkg-config,
  dh-autoreconf
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/users/biebl/eiciel.git
 Vcs-Browser: http://git.debian.org/?p=users/biebl/eiciel.git;a=summary
 Homepage: http://rofi.pinchito.com/eiciel/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-version=3

override_dh_makeshlibs:
	dh_makeshlibs -Xlibeiciel-nautilus

override_dh_install:
	dh_install
	rm -f debian/eiciel/usr/lib/nautilus/extensions-*/*.a
	rm -f debian/eiciel/usr/lib/nautilus/extensions-*/*.la

=== debian/watch ===
version=3
http://rofi.roger-ferrer.org/eiciel/download/eiciel-([\.\d]*)\.tar\.bz2

## eiciel 0.9.9

=== debian/changelog ===
eiciel (0.9.9-1build1) wily; urgency=medium

  * No-change rebuild against libatkmm-1.6-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 18:15:03 +0000

eiciel (0.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Aug 2014 15:02:46 +0200

eiciel (0.9.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Jul 2014 06:00:07 +0200

eiciel (0.9.8.2-2) unstable; urgency=medium

  * Stop shipping a menu file.

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Feb 2014 00:04:51 +0100

eiciel (0.9.8.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.5. No further changes.
  * Update Homepage: URL.
  * Update debian/copyright using the machine-readable copyright format 1.0.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Feb 2014 01:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
  automake,
  autoconf,
  libtool,
@@ -14,10 +14,10 @@
  libnautilus-extension-dev (>= 3.0.0),
  pkg-config,
  dh-autoreconf
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/users/biebl/eiciel.git
 Vcs-Browser: http://git.debian.org/?p=users/biebl/eiciel.git;a=summary
-Homepage: http://rofi.pinchito.com/eiciel/
+Homepage: http://rofi.roger-ferrer.org/eiciel/
 
 Package: eiciel
 Architecture: any

## eiciel 0.9.11

=== debian/changelog ===
eiciel (0.9.11-3) unstable; urgency=medium

  * Bump debhelper compat level to 10.
  * Bump Build-Depends on libnautilus-extension-dev to (>= 3.21.92-3~) to
    ensure we have a version with multiarch support.
  * Fix watch file.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Sep 2016 02:51:30 +0200

eiciel (0.9.11-2) unstable; urgency=medium

  * Fix watch file.
  * Run wrap-and-sort -at.
  * Use https:// to access the upstream homepage.
  * Bump Standards-Version to 3.9.7.

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Mar 2016 20:01:57 +0100

eiciel (0.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Sep 2015 01:24:49 +0200

eiciel (0.9.10-1) unstable; urgency=medium

  * New upstream release.
  * Move package to collab-maint.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 31 Aug 2015 22:52:18 +0200

=== debian/control ===
Source: eiciel
Section: gnome
Priority: optional
Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 10),
               libacl1-dev,
               libattr1-dev,
               libgtkmm-3.0-dev (>= 3.0.0),
               libnautilus-extension-dev (>= 3.21.92-3~),
               libtool,
               pkg-config,
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/collab-maint/eiciel.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/eiciel.git
Homepage: https://rofi.roger-ferrer.org/eiciel/

Package: eiciel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: nautilus,
            yelp,
Enhances: nautilus,
Description: graphical editor for POSIX ACLs and extended user attributes
 A graphical tool to manipulate POSIX ACLs and extended user attributes for
 the GNOME environment. It integrates nicely into the Nautilus file manager
 but also features a standalone application.

## eiciel 0.9.12.1

=== debian/changelog ===
eiciel (0.9.12.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:38:59 +0100

eiciel (0.9.12.1-1) unstable; urgency=medium

  * New upstream version 0.9.12.1
  * Drop debian/patches/Fix-Keywords-in-desktop-file.patch, fixed upstream

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jan 2018 00:00:54 +0100

eiciel (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12
  * Fix Keywords in desktop file

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Jan 2018 00:14:25 +0100

eiciel (0.9.11-4) unstable; urgency=medium

  * Set Rules-Requires-Root to no
  * Update Vcs-* to point to salsa.debian.org (gitlab)
  * Bump Standards-Version to 4.1.3
  * Bump debhelper compat level to 11

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jan 2018 20:13:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnome-version=3

override_dh_makeshlibs:
	dh_makeshlibs -Xlibeiciel-nautilus

override_dh_install:
	dh_install
	rm -f debian/eiciel/usr/lib/*/nautilus/extensions-*/*.a
	rm -f debian/eiciel/usr/lib/*/nautilus/extensions-*/*.la

## eiciel 0.9.13

=== debian/changelog ===
eiciel (0.9.13-1) unstable; urgency=medium

  * New upstream version 0.9.13
  * Update Build-Depends as per configure.ac
  * Rebase patches
  * Make no-patch-numbers the default for gbp pq
  * Add missing files to dist tarball

 -- Michael Biebl <biebl@debian.org>  Wed, 26 Aug 2020 18:54:34 +0200

eiciel (0.9.12.1-3) unstable; urgency=medium

  * Avoid C++ name mangling for Nautilus extension symbols (Closes: #960082)
  * Don't hardcode pkg-config in configure.ac (Closes: #923108)

 -- Michael Biebl <biebl@debian.org>  Sun, 17 May 2020 14:17:36 +0200

eiciel (0.9.12.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Michael Biebl ]
  * Replace deprecated attr/xattr.h with sys/xattr.h (Closes: #953920)
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper-compat 12
  * Use --disable-static instead of building a static library and removing it
    later

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Mar 2020 21:29:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: gnome
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libacl1-dev,
                libattr1-dev,
                libgtkmm-3.0-dev (>= 3.0.0),
+               libglibmm-2.4-dev (>= 2.50.0),
                libnautilus-extension-dev (>= 3.21.92-3~),
                libtool,
                pkg-config,
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/collab-maint/eiciel.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/eiciel.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/eiciel.git
+Vcs-Browser: https://salsa.debian.org/debian/eiciel
 Homepage: https://rofi.roger-ferrer.org/eiciel/
 
 Package: eiciel

=== debian/watch ===
version=3
https://rofi.roger-ferrer.org/eiciel/download/ .*/eiciel-([\.\d]*)\.tar\.bz2

## eiciel 0.9.13.1

=== debian/changelog ===
eiciel (0.9.13.1-1) unstable; urgency=medium

  * New upstream version 0.9.13.1
  * Rebase patches
  * Bump Standards-Version to 4.6.0
  * Set upstream metadata fields: Bug-Submit, Bug-Database, Repository,
    Repository-Browse
  * Bump debhelper-compat to 13
  * Fix encoding of AUTHORS file to be UTF-8

 -- Michael Biebl <biebl@debian.org>  Thu, 26 Aug 2021 11:45:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libacl1-dev,
                libattr1-dev,
                libgtkmm-3.0-dev (>= 3.0.0),
@@ -10,7 +10,7 @@
                libnautilus-extension-dev (>= 3.21.92-3~),
                libtool,
                pkg-config,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/eiciel.git
 Vcs-Browser: https://salsa.debian.org/debian/eiciel

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-static \
		--with-gnome-version=3

override_dh_makeshlibs:
	dh_makeshlibs -Xlibeiciel-nautilus

override_dh_install:
	dh_install
	rm -f debian/eiciel/usr/lib/*/nautilus/extensions-*/*.la

## eiciel 0.10.0~rc2

=== debian/changelog ===
eiciel (0.10.0~rc2-1) unstable; urgency=medium

  * New upstream version 0.10.0~rc2
    - Port to gtk(mm)4 and nautilus 43 (Closes: #1017536)
    - Build system switched to meson
  * Update Build-Depends as per meson.build
  * Drop obsolete dh overrides
  * Drop compression = bzip2 from gbp.conf
  * Drop patches that are outdated or have been merged upstream
  * Stop installing README
  * Bump Standards-Version to 4.6.1
  * Enable all hardening build flags

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Sep 2022 20:13:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               itstool,
                libacl1-dev,
                libattr1-dev,
-               libgtkmm-3.0-dev (>= 3.0.0),
-               libglibmm-2.4-dev (>= 2.50.0),
-               libnautilus-extension-dev (>= 3.21.92-3~),
-               libtool,
+               libgtkmm-4.0-dev (>= 4.6),
+               libglibmm-2.68-dev (>= 2.68),
+               libnautilus-extension-dev (>= 43),
+               meson (>= 0.57),
                pkg-config,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/eiciel.git
 Vcs-Browser: https://salsa.debian.org/debian/eiciel

## eiciel 0.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,14 @@
+option('man', type : 'boolean',
+    value : 'true',
+    description : 'Install man page(s)')
 option('user-attributes',
     type : 'feature',
     value : 'enabled',
     description : 'Enables support for editing extended user attributes')
+option('nautilus-plugin',
+    type : 'feature',
+    value : 'enabled',
+    description: 'Enable nautilus extension plugin')
 option('nautilus-extension-dir',
     type: 'string',
     value : '',

=== debian/changelog ===
eiciel (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Update debian/watch
  * Bump Standards-Version to 4.6.2

 -- Michael Biebl <biebl@debian.org>  Fri, 30 Dec 2022 13:31:44 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libnautilus-extension-dev (>= 43),
                meson (>= 0.57),
                pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/eiciel.git
 Vcs-Browser: https://salsa.debian.org/debian/eiciel

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -Xlibeiciel-nautilus

=== debian/watch ===
version=4
https://rofi.roger-ferrer.org/eiciel/download/ .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## eiciel 0.10.1

=== debian/changelog ===
eiciel (0.10.1-1) unstable; urgency=medium

  * Update debian/watch to pull the tarballs directly from github
  * New upstream version 0.10.1
  * Update debian/copyright
  * Bump Standards-Version to 4.7.0, no further changes required
  * Replace Build-Depends on obsolete pkg-config with pkgconf

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Aug 2024 13:22:53 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                libglibmm-2.68-dev (>= 2.68),
                libnautilus-extension-dev (>= 43),
                meson (>= 0.57),
-               pkg-config,
-Standards-Version: 4.6.2
+               pkgconf,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/eiciel.git
 Vcs-Browser: https://salsa.debian.org/debian/eiciel

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/rofirrim/@PACKAGE@/releases \
  https://github.com/rofirrim/@PACKAGE@/releases/download/(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
